Skip to content
POST/{organizationId}/{mandateId}/crm/mailings/{mailingId}/letter-files

Export mailing letter files

Exports the letter PDF files for a mailing

Required permissions:

  • mandate.read

  • mailing.read

  • dispatchDocument.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
mailingIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional
fromDatestringoptional
toDatestringoptional
sendMethodstringoptional

Options:

noneemailpostal
clickedbooleanoptional
unsubscribedbooleanoptional
recipientContactstringoptional
receiverNamestringoptional

minLength: 1

receiverEmailstringoptional
markAsSentbooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/mailings/{mailingId}/letter-files
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/{mailingId}/letter-files' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "searchTerm": "string",
  "fromDate": "string",
  "toDate": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}